Dash0 acquires Polar Signals

Manage Synthetic Checks

Create a synthetic check

post/api/synthetic-checks

Create a synthetic check.

Parameters 1

datasetquery
References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample requestcurl --request POST 'https://api.eu-west-1.aws.dash0.com/api/synthetic-checks' \
  --header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "kind": "Dash0SyntheticCheck",
  "metadata": {
    "name": "Example"
  },
  "spec": {
    "plugin": {
      "kind": "http",
      "spec": {
        "request": {
          "method": "get",
          "url": "example",
          "redirects": "follow",
          "tls": {
            "allowInsecure": true
          },
          "tracing": {
            "addTracingHeaders": true
          }
        },
        "assertions": {
          "criticalAssertions": [
            {
              "kind": "status_code",
              "spec": {
                "operator": "is",
                "value": "example"
              }
            }
          ],
          "degradedAssertions": [
            {
              "kind": "status_code",
              "spec": {
                "operator": "is",
                "value": "example"
              }
            }
          ]
        }
      }
    },
    "schedule": {
      "strategy": "all_locations",
      "interval": "1m",
      "locations": [
        "example"
      ]
    },
    "retries": {
      "kind": "off",
      "spec": {}
    },
    "notifications": {
      "channels": [
        "123e4567-e89b-42d3-a456-426614174000"
      ]
    },
    "enabled": true
  }
}'

Request body required

stringrequired
"Dash0SyntheticCheck"
SyntheticCheckMetadatarequired
SyntheticCheckSpecrequired

Responses

The created synthetic check.

stringrequired
"Dash0SyntheticCheck"
SyntheticCheckMetadatarequired
SyntheticCheckSpecrequired